:root {
    --bc-map-container-padding-left: 10px;
}

#map_container {
    min-height: 30rem;
    max-height: 80vh;
    left: 0;
    transition: all 0.425s;
    margin: 0;
    padding: 0;
    padding-left: var(--bc-map-container-padding-left);
    --floormap-width: 401px;
    --floormap-height: 453px;
}

#map_container .floormap_container_wrapper {
    border-radius: 0.3rem;
    overflow: hidden;
    box-shadow: 1px 1px 10px 3px #7979796b;
}

#map_container .floormap_container_wrapper,
#map_container .floormap_container_wrapper > #floormap_container {
    height: var(--floormap-height);
    width: var(--floormap-width);
}

#floormap_container {
    
    /* small images use this*/
    position: relative;

    border: none;
    z-index: 1;
    background-size: contain;
    background-repeat: no-repeat;
    /* by height */
    /* height: 100%; */
    /* width: 0; */
    /* padding-left: 80.25%; */
    /* by width */
    /* height: 0%; */
    /* width: 100%; */
    /* padding-top: 91%; */
    
}
.darkModeTheme #floormap_container {
    border-color: unset;
    border-color: transparent;
}

#legend {
    position: absolute;
    /* left: 245px; */
    /* top: 275px; */
    /* right: var(--bc-map-container-padding-left); */
    /* bottom: var(--bc-map-container-padding-left); */
    width: 9.7rem;
    z-index: 500;
    /* box-shadow: -3px -3px 10px 3px #0000001a; */
    /* box-shadow: 3px 5px 10px 3px #0000001a; */
    box-shadow: -2px 2px 15px 2px #00000045;
    border-radius: 4px;

    top: calc(var(--floormap-height) - 170px);
    left: calc(var(--floormap-width) - 140px);
}
#legend .card {
    border-width: 0;
}
#legend .card-body {
    padding: 0.1rem;
}
#legend .card-body > button {
    opacity: 0.9;
    transition: all 250ms;
}
#legend .card-body > button:hover,
#legend .card-body > button:focus:focus-visible,
#legend .card-body > button:active {
    opacity: 1;
    box-shadow: 0px 1px 8px 1px #484848;
    z-index: 1;
    position: relative;
    border-radius: 1px;
    font-weight: bold;
}

.badge.badge-info {
    background-color: #095f6d;
}